/*
 * Implementation of class GreymapFile
 *
 * $Date: 2003/08/26 10:48:36 $
 * $Revision: 1.2 $
 *
 */

#include "WImage/GreymapFile.hh"
#include "WImage/ImageArray.hh"
#include "WImage/debug.h"
#include <stdexcept>

#ifndef __WATCOMC__
using namespace std;
#endif

GreymapFile::GreymapFile (char const * name, ImageArray<coeff> &data)
{
  this->m_fname = name;
  this->m_coeffs = &data;
  m_pixels = new ImageArray<pixel> (0, 0);
}

GreymapFile::~GreymapFile (void)
{
  delete m_pixels;
}

