/*
 * Implementation of class PixmapWriter
 *
 * $Date: 2003/09/12 13:31:52 $
 * $Revision: 1.4 $
 *
 */

#undef DPRINTF
#include "WImage/ImageArray.hh"
#include "WImage/PixmapWriter.hh"
#include "WImage/debug.h"
#include "WImage/tools.h"
#include <math.h>
#include <iostream>
#include <stdexcept>
#include <fstream>
#include <assert.h>
#include <float.h>

#ifndef __WATCOMC__
using namespace std;
#endif

void
PixmapWriter::write (void)
{
  int success = 0;

  
  /*
   * First check whether file is writeable...
   */
  if (m_fname != NULL)
    {
      ofstream ofs (m_fname);
      if (!ofs)
        {
          success = -1;
        }
    }
  
  if (success == 0)
    {
      success = writefmt ();
    }
  
  if (success < 0)
    {
      throw ios_base::failure ("write: error writing file.");
    }
}




