/*
 * Implementation of class PixmapReader
 *
 * $Date: 2003/09/12 13:31:52 $
 * $Revision: 1.4 $
 *
 */

#include "WImage/ImageArray.hh"
#include "WImage/PixmapReader.hh"
#include "WImage/debug.h"
#include <stdexcept>
#include <fstream>

#ifndef __WATCOMC__
using namespace std;
#endif

void
PixmapReader::read (void)
{
  int success = 0;
  
  if (m_fname != NULL)
    {
      ifstream ifs (m_fname);
      if (!ifs)
        {
          success = -1;
        }
    }
  
  if (success == 0)
    {
      success = readfmt ();
    }
  
  switch (success)
    {
    case -1: throw ios_base::failure ("read: could not open file.");
      break;
    case -2: 
      throw invalid_argument ("read: invalid file format.");
      break;
    case 0: 
      /* do nothing */
      break;
    default: 
      {
      }
    }

}

