/*
 * WTools main header
 * Wraps all the relevant headers.
 *
 * $Date: 2003/08/26 10:48:38 $
 * $Revision: 1.3 $
 *
 */

#ifndef WTOOLS_HH__
#define WTOOLS_HH__

/**
 * @defgroup WTools Utilities for images and Wavelet Transforms
 */

#include "WImage.hh"
#include "Wave.hh"

#include "WTools/ImageInformation.hh"
#include "WTools/ImageComparison.hh"
#include "WTools/Histogram.hh"

#endif /* WTOOLS_HH__ */
