/*
 * Wavelet main header
 * Wraps all the relevant headers.
 *
 * $Date: 2003/12/05 09:56:46 $
 * $Revision: 1.5 $
 *
 */

#ifndef WAVE_HH__
#define WAVE_HH__

/**
 * @defgroup Wave Classes for Wavelet Transforms
 */

#include "WImage.hh"

#include "WImage/RowVector.hh"
#include "WImage/ColumnVector.hh"
#include "WImage/FullVector.hh"
#include "WImage/StillImage.hh"
#include "Wave/StandardTransform.hh"
#include "Wave/PyramidTransform.hh"
#include "Wave/MirrorPosition.hh"
#include "Wave/PeriodicPosition.hh"

#endif /* WAVE_HH__ */
